.card-register {
    border-radius: 10px !important;
    width: 90%;
    margin: 80px auto;
    padding: 40px;
    box-shadow: 0px 0px 15px #00000029 !important;
  }

.session-form-hold {
  width: 100%;
  max-width: 400px;
  margin: 0 auto;
}
.infos {
  background-color: #fbd97c;
  border-radius: 5px;
  padding: 10px;
  width: 220px;
  text-align: center;
  font-weight: bold;
}
.informations{
  width: 100%;
  max-width: 220px;
  background-color: #fdf5ed;
  color: #f6b87b;
  text-align: center;
  margin: auto;
  padding: 10px 10px 0px;
  border-radius: 10px;
}

.custom-file-input-button {
  display: inline-block;
  background-color: black;
  color: white;
  padding: 10px 15px;
  margin: 10px;
  cursor: pointer;
  border-radius: 5px;
}

.custom-file-input-button input {
  display: none;
}


.fortext {
  border-radius: 5px !important;
  padding: 5px !important;
  width: 100% !important;
  border: 1px solid #F8F8F8 !important;
  background-color: #F9F8F8 !important;
  height: 60px !important;
  margin-top: 10px !important;
}

.checkbox-switch {
  position: relative;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.checkbox-switch .slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc; /* Couleur de fond par défaut */
  -webkit-transition: 0.4s;
  transition: 0.4s;
  border-radius: 34px;
}

.checkbox-switch.checked .slider {
  background-color: #4caf50; /* Couleur de fond lorsque la case est cochée */
}

.checkbox-switch .slider:before {
  position: absolute;
  content: '';
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: white; /* Couleur de la "manette" */
  -webkit-transition: 0.4s;
  transition: 0.4s;
  border-radius: 50%;
}

.checkbox-switch.checked .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

.fortext option:hover {
  /* Styles appliqués lorsqu'une option est survolée */
  background-color: #f0f0f0; /* Exemple de couleur de fond au survol */
  color: #333; /* Exemple de couleur de texte au survol */
}

/* Styles pour la flèche déroulante dans les navigateurs WebKit (Chrome, Safari) */
.arrow::-webkit-select-placeholder,
.arrow::-webkit-datetime-edit-fields-wrapper,
.arrow::-webkit-datetime-edit-text,
.arrow::-webkit-datetime-edit-minute,
.arrow::-webkit-datetime-edit-hour-field {
  color: orange;
}

.arrow::-webkit-calendar-picker-indicator {
  filter: invert(100%) hue-rotate(180deg);
}

.custom-select {
  position: relative;
  width: 200px;
  border: 1px solid #ccc;
  cursor: pointer;
}

.selected-option {
  display: block;
  padding: 10px;
}

.options-list {
  width: 100%;
  border: 1px solid #ccc;
  background-color: white;
}

.options-list li {
  padding: 10px;
  cursor: pointer;
}

.options-list li:hover {
  background-color: orange;
}


select {
  background: transparent;
}


.arrow {
  right: 0px;
  background: url('data:image/svg+xml;utf8,<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="orange"><path stroke-linecap="round" stroke-linejoin="round" d="M19.5 8.25l-7.5 7.5-7.5-7.5" /></svg>') center center no-repeat;
}

.asterix--after::after {
  content: "*";
  color: #ac3328;
}
input:invalid {
  border: 2px solid red;
}

.error-message{
color: red;
}


/* Style de la case à cocher personnalisée */
.custom-checkbox {
  width: 20px; /* Largeur de la case à cocher */
  height: 20px; /* Hauteur de la case à cocher */
  margin-top: 2px;
  appearance: none; /* Enlève le style par défaut */
  border: 2px solid #d1d5db; /* Bordure par défaut */
  border-radius: 0.25rem; /* Bordure arrondie (Tailwind: rounded-md) */
  cursor: pointer; /* Curseur de pointeur */
  transition: background-color 150ms; /* Transition pour le fond */
}

/* Style lorsque la case à cocher est cochée */
.custom-checkbox:checked {
  background-color: #ff8a48; /* Couleur de fond lorsque cochée */
  border-color: #ff8a48; /* Couleur de la bordure lorsque cochée */
}

/* Style du bouton radio personnalisé */
.custom-radio {
  display: inline-block;
  width: 10px; /* Largeur du bouton radio */
  height: 10px; /* Hauteur du bouton radio */
  appearance: none; /* Enlève le style par défaut */
  border: 2px solid #d1d5db; /* Bordure par défaut */
  border-radius: 50%; /* Forme ronde */
  cursor: pointer; /* Curseur en forme de pointeur */
  transition: background-color 150ms; /* Transition pour le fond */
  display: inline-block; /* Affichage en ligne */
  position: relative; /* Position relative pour le pseudo-élément */
}

/* Style lorsque le bouton radio est sélectionné */
.custom-radio:checked {
  background-color: #4f46e5; /* Couleur de fond au choix */
  border-color: #4f46e5; /* Couleur de la bordure au choix */
}

/* Création d'un pseudo-élément pour l'intérieur du bouton radio */
.custom-radio:checked::after {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 12px;
  height: 12px;
  border-radius: 50%;
  background: white;
}
